## mc 4.8.14

=== debian/changelog ===
mc (3:4.8.14-1) experimental; urgency=low

  * New upstream version [March 2015]:
    + fix mcedit: status line doesn't show full path to file (Closes: #764226).
    + fix file selection by patterns uses bytes instead of unicode characters
      (Closes: #663136).

  [ Denis Briand <debian@denis-briand.fr> ]
  * Add lintian override on debian-watch-may-check-gpg-signature
      Upstream doesn't provide gpg signature.
  * Add Keywords entry into debian/mc.desktop file.
  * Add mcedit.desktop file.
  * Denis Briand goes back into the package devel team.
      Add into 'uploaders' field.
  * Add mcedit into Debian menu.
  * Add mcedit icon.
  * Remove merged upstream patches:
    + 2966.patch
    + 3297.patch
    + pot.patch

  [ Dmitry Smirnov <onlyjob@debian.org> ]
  * Minor copyright updates; refreshed "2987" and "alt_editor" patches.
  * rules: dropped obsolete "override_dh_builddeb".
  * rules: policy §4.9 compliant "get-orig-source".

 -- Denis Briand <debian@denis-briand.fr>  Tue, 24 Mar 2015 12:43:27 +0100

mc (3:4.8.13-3) unstable; urgency=medium

  * New upstream patch to fix loss of destination file when pre-allocation
    fail (Closes: #767463).
  * New patch to prevent accidental execution of shell command
    (Closes: #703741).
    Thanks, Dmitry Borisyuk.
  * New patch to use dummy password to prevent hangs on extraction from
    encrypted ZIP archives (Closes: #772080).
    Thanks, Dmitry Borisyuk.
  * New patch to fix bashism in "gitfs+" helper (Closes: #772306).
    Thanks, Raphael Geissert.
  * Update translations during build (Closes: #772879).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 13 Dec 2014 21:35:45 +1100

mc (3:4.8.13-2) unstable; urgency=medium

  * New "2966.patch" to fix viewing broken man pages (Closes: #700569).
  * Standards-Version: 3.9.6.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 29 Sep 2014 17:09:08 +1000

mc (3:4.8.13-1) unstable; urgency=low

  * New upstream release [September 2014].
  * Added "debian/gbp.conf".

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 09 Sep 2014 16:48:34 +1000

mc (3:4.8.12-1) unstable; urgency=low

  * New upstream release [April 2014].
    + fixed Alt-P "format parahraph" (Closes: #725692).
    + fixed tilde ("~") expansion (Closes: #733621).
  * Refreshed thin "modarin" skins.
  * Standards to 3.9.5.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 02 Apr 2014 13:07:19 +1100

=== debian/control ===
Source: mc
Section: utils
Priority: optional
Maintainer: Debian MC Packaging Group <pkg-mc-devel@lists.alioth.debian.org>
Uploaders: Patrick Winnertz <winnie@debian.org>
          ,Yury V. Zaytsev <yury@shurup.com>
          ,Andreas Tille <tille@debian.org>
          ,Dmitry Smirnov <onlyjob@debian.org>
          ,Denis Briand <debian@denis-briand.fr>
Build-Depends: debhelper (>= 9), dh-autoreconf, autopoint, intltool, bison
 ,check
 ,e2fslibs-dev
 ,gettext
 ,libaspell-dev
 ,libglib2.0-dev
 ,libgpm-dev [linux-any]
 ,libslang2-dev
 ,libssh2-1-dev
 ,libx11-dev
# mc determine zip mode from zip alternatives available at build-time(!)
# hence 'unzip' needed to set proper zip mode, see #661467
 ,unzip
Standards-Version: 3.9.6
Homepage: http://www.midnight-commander.org
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mc.git
Vcs-Git: git://anonscm.debian.org/collab-maint/mc.git

Package: mc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mc-data (= ${source:Version}),
Recommends: mime-support, perl, unzip
Suggests: arj
         ,bzip2
         ,catdvi | texlive-binaries
         ,dbview
         ,djvulibre-bin
         ,file
         ,genisoimage
         ,gv
         ,imagemagick
         ,links | w3m | lynx
         ,odt2txt
         ,poppler-utils
         ,python
         ,python-boto
         ,python-tz
         ,xpdf | pdf-viewer
         ,zip
Provides: mcedit
Description: Midnight Commander - a powerful file manager
 GNU Midnight Commander is a text-mode full-screen file manager. It
 uses a two panel interface and a subshell for command execution. It
 includes an internal editor with syntax highlighting and an internal
 viewer with support for binary files. Also included is Virtual
 Filesystem (VFS), that allows files on remote systems (e.g. FTP, SSH
 servers) and files inside archives to be manipulated like real files.

Package: mc-data
Architecture: all
Multi-Arch: foreign
Breaks: mc (<< 3:4.8.1)
Replaces: mc (<< 3:4.8.1)
Depends: ${misc:Depends}
Description: Midnight Commander - a powerful file manager -- data files
 GNU Midnight Commander is a text-mode full-screen file manager. It
 uses a two panel interface and a subshell for command execution. It
 includes an internal editor with syntax highlighting and an internal
 viewer with support for binary files. Also included is Virtual
 Filesystem (VFS), that allows files on remote systems (e.g. FTP, SSH
 servers) and files inside archives to be manipulated like real files.
 .
 This package provides architecture independent files

Package: mc-dbg
Architecture: any
Depends: mc (=${binary:Version}), ${misc:Depends}
Priority: extra
Section: debug
Suggests: gdb
Description: Midnight Commander - a powerful file manager - debug package
 GNU Midnight Commander is a text-mode full-screen file manager. It
 uses a two panel interface and a subshell for command execution. It
 includes an internal editor with syntax highlighting and an internal
 viewer with support for binary files. Also included is Virtual
 Filesystem (VFS), that allows files on remote systems (e.g. FTP, SSH
 servers) and files inside archives to be manipulated like real files.
 .
 This package contains debugging information for mc.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# minimise needless linking
export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf

# use --as-needed only if supported by dh-autoreconf (to simplify backporting)
DH_AS_NEEDED=$(shell dpkg --compare-versions $$(dpkg --status dh-autoreconf | grep Version | cut -d' ' -f2) ge 6 && echo --as-needed)
override_dh_autoreconf:
	[ ! -x "./autogen.sh" ] || ./autogen.sh
	intltoolize --automake --copy --force
	dh_autoreconf $(DH_AS_NEEDED)

# --enable-werror will cause FTBFS on GNU Hurd:
# src/vfs/fish/fish.c: In function 'fish_fh_open':
# fish.c:1517:5: error: 'and' of mutually exclusive equal-tests is always 0 [-Werror]
#
# AWK="awk" is inheritance of 4.7.* series, see http://bugs.debian.org/499723
# might be still necessary for extfs scripts
override_dh_auto_configure:
	dh_auto_configure -- AWK="awk" X11_WWW="x-www-browser" \
		--libexecdir='/usr/lib' \
		--with-x \
		--with-screen=slang \
		--disable-rpath \
		--disable-static \
		--disable-silent-rules \
		--enable-aspell \
		--enable-vfs-sftp \
		--enable-vfs-undelfs \
		--enable-tests
#		--enable-vfs-smb=yes

override_dh_auto_build:
	# update translations
	cd po && $(MAKE) update-po
	dh_auto_build

override_dh_auto_test:
	## allow test(s) failure
	-dh_auto_test

override_dh_auto_install:
	dh_auto_install --max-parallel=1

override_dh_fixperms:
	chmod 755 debian/mc/etc/mc/*.rc
	dh_fixperms
	# cons.saver has to be sgid tty to access vcsa
	chgrp tty debian/mc/usr/lib/mc/cons.saver || true
	chmod g+s debian/mc/usr/lib/mc/cons.saver || true

override_dh_installchangelogs:
	dh_installchangelogs doc/NEWS

override_dh_strip:
	dh_strip --dbg-package=mc-dbg

.PHONY: get-orig-source
## http://wiki.debian.org/onlyjob/get-orig-source
PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
VER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
get-orig-source:
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)

## mc 4.8.15

=== debian/changelog ===
mc (3:4.8.15-2) unstable; urgency=low

  * Upload to unstable.

  [ Dmitry Smirnov <onlyjob@debian.org> ]
  * Updated "mcedit_full_path.patch" to modify corresponding man page.
  * Fix build with "debuild -A" (Closes: #806076).

  [ Denis Briand <debian@denis-briand.fr> ]
  * Remove debian/mc.menu file (see #741573).

 -- Denis Briand <debian@denis-briand.fr>  Sat, 19 Dec 2015 23:15:45 +0100

mc (3:4.8.15-1) experimental; urgency=low

  * New upstream version [November 2015].
    + fixed "segfault for SFTP VFS" (Closes: #774135).
  * Handle conffile removal from maintscript.
  * New "mcedit_full_path.patch" to show full path to the file in 'mcedit'.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 12 Nov 2015 17:12:11 +1100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  ,e2fslibs-dev
  ,gettext
  ,libaspell-dev
- ,libglib2.0-dev
+ ,libglib2.0-dev (>= 2.26.0)
  ,libgpm-dev [linux-any]
  ,libslang2-dev
  ,libssh2-1-dev

=== debian/rules ===
--- 
+++ 
@@ -51,7 +51,7 @@
 	dh_auto_install --max-parallel=1
 
 override_dh_fixperms:
-	chmod 755 debian/mc/etc/mc/*.rc
+	-chmod -c 755 debian/mc/etc/mc/*.rc
 	dh_fixperms
 	# cons.saver has to be sgid tty to access vcsa
 	chgrp tty debian/mc/usr/lib/mc/cons.saver || true

## mc 4.8.18

=== debian/control ===
--- 
+++ 
@@ -20,10 +20,10 @@
 # mc determine zip mode from zip alternatives available at build-time(!)
 # hence 'unzip' needed to set proper zip mode, see #661467
  ,unzip
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.midnight-commander.org
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mc.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/mc.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mc.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/mc.git
 
 Package: mc
 Architecture: any
@@ -38,6 +38,7 @@
          ,genisoimage
          ,gv
          ,imagemagick
+         ,libaspell-dev
          ,links | w3m | lynx
          ,odt2txt
          ,poppler-utils
@@ -70,19 +71,3 @@
  servers) and files inside archives to be manipulated like real files.
  .
  This package provides architecture independent files
-
-Package: mc-dbg
-Architecture: any
-Depends: mc (=${binary:Version}), ${misc:Depends}
-Priority: extra
-Section: debug
-Suggests: gdb
-Description: Midnight Commander - a powerful file manager - debug package
- GNU Midnight Commander is a text-mode full-screen file manager. It
- uses a two panel interface and a subshell for command execution. It
- includes an internal editor with syntax highlighting and an internal
- viewer with support for binary files. Also included is Virtual
- Filesystem (VFS), that allows files on remote systems (e.g. FTP, SSH
- servers) and files inside archives to be manipulated like real files.
- .
- This package contains debugging information for mc.

## mc 4.8.19

=== debian/changelog ===
mc (3:4.8.19-1) unstable; urgency=low

  * new upstream release
    + Closes: #866019
    + Closes: #808303
    + Closes: #825974

  * remove merged patches:
    + uzip_528239.patch

  * update patches: (use gboolean instead of int)
    + disable_internal_editor.patch
    + mcedit_full_path.patch
    + mcedit_auto_indent.patch
    + mcedit_group_undo.patch

  * Remove Patrick Winnertz <winnie@debian.org> from
    the Uploaders List (MIA). Thank you Patrick for
    all your work on mc package.
    It was a pleasure to work with you.
    (Closes: #867758).

  * Fix some spelling errors in manpage.
  * Bump standard version to 4.0.0
  * Use secure URI for upstream web site.
  * fix error message when you gzip or bzip files from user menu.
    Thanks to Yuriy M. Kaminskiy (Closes:  #863984).

 -- Denis Briand <debian@denis-briand.fr>  Fri, 04 Aug 2017 23:03:29 +0200

mc (3:4.8.18-1) unstable; urgency=low

  [ Denis Briand ]
  * Update repository in debian/watch (thanks Yury).

  [ Dmitry Smirnov ]
  * New upstream release [October 2016].
  * Vcs-Git URL to HTTPS.
  * Suggests += "libaspell-dev"
    mcedit needs libaspell for spellchecking functionality.
    -dev package is required because mcedit is looking for "libaspell.so".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 17 Oct 2016 09:59:29 +1100

mc (3:4.8.17-1) unstable; urgency=low

  * New upstream release [May 2016] (Closes: #746990).

  [ Denis Briand <debian@denis-briand.fr> ]
  * Fixed spelling error in manpage s/interpeted/interpreted/
  * Removed obsolete patches:
    - 3379.patch
    - update-po.patch

  [ Dmitry Smirnov <onlyjob@debian.org> ]
  * Updated copyright file.
  * Standards-Version: 3.9.8.
  * Modernised Vcs-Browser URL.
  * dbgsym-migration: dropped "mc-dbg" package.
  * Remove obsolete conffile "/etc/mc/mc.menu.sr".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 09 May 2016 07:41:26 +1000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Debian MC Packaging Group <pkg-mc-devel@lists.alioth.debian.org>
-Uploaders: Patrick Winnertz <winnie@debian.org>
-          ,Yury V. Zaytsev <yury@shurup.com>
+Uploaders: Yury V. Zaytsev <yury@shurup.com>
           ,Andreas Tille <tille@debian.org>
           ,Dmitry Smirnov <onlyjob@debian.org>
           ,Denis Briand <debian@denis-briand.fr>
-Build-Depends: debhelper (>= 9), dh-autoreconf, autopoint, intltool, bison
+Build-Depends: debhelper (>= 9.20160403~), dh-autoreconf, autopoint, intltool, bison
  ,check
  ,e2fslibs-dev
  ,gettext
@@ -20,8 +19,8 @@
 # mc determine zip mode from zip alternatives available at build-time(!)
 # hence 'unzip' needed to set proper zip mode, see #661467
  ,unzip
-Standards-Version: 3.9.8
-Homepage: http://www.midnight-commander.org
+Standards-Version: 4.0.0
+Homepage: https://www.midnight-commander.org
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mc.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/mc.git

=== debian/rules ===
--- 
+++ 
@@ -61,7 +61,7 @@
 	dh_installchangelogs doc/NEWS
 
 override_dh_strip:
-	dh_strip --dbg-package=mc-dbg
+	dh_strip --dbgsym-migration='mc-dbg (<< 3:4.8.17~)'
 
 .PHONY: get-orig-source
 ## http://wiki.debian.org/onlyjob/get-orig-source

## mc 4.8.21

=== debian/changelog ===
mc (3:4.8.21-1) unstable; urgency=medium

  * New upstream release [June 2018].
    + added .tar.zst / .tzst support (Closes: #893389).
  * Set myself as Maintainer (Closes: #899775).
  * Updated Vcs URLs to Salsa.
  * Removed needless dependency versioning.
  * Standards-Version: 4.1.4.
  * rules: removed "--parallel" which is implied on DH/compat v11.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 06 Jun 2018 14:34:10 +1000

mc (3:4.8.20-1) unstable; urgency=medium

  * New upstream release.
    + fixed random crash at startup (Closes: #870728).
  * rules: removed call to dpkg-parsechangelog.
  * Debhelper & compat to version 11.
  * Standards-Version: 4.1.3.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 04 Mar 2018 16:40:01 +1100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: mc
 Section: utils
 Priority: optional
-Maintainer: Debian MC Packaging Group <pkg-mc-devel@lists.alioth.debian.org>
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Yury V. Zaytsev <yury@shurup.com>
           ,Andreas Tille <tille@debian.org>
-          ,Dmitry Smirnov <onlyjob@debian.org>
           ,Denis Briand <debian@denis-briand.fr>
-Build-Depends: debhelper (>= 9.20160403~), dh-autoreconf, autopoint, intltool, bison
+Build-Depends: debhelper (>= 11~), autopoint, intltool, bison
  ,check
  ,e2fslibs-dev
  ,gettext
  ,libaspell-dev
- ,libglib2.0-dev (>= 2.26.0)
+ ,libglib2.0-dev
  ,libgpm-dev [linux-any]
  ,libslang2-dev
  ,libssh2-1-dev
@@ -19,10 +18,10 @@
 # mc determine zip mode from zip alternatives available at build-time(!)
 # hence 'unzip' needed to set proper zip mode, see #661467
  ,unzip
-Standards-Version: 4.0.0
+Standards-Version: 4.1.4
 Homepage: https://www.midnight-commander.org
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mc.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/mc.git
+Vcs-Browser: https://salsa.debian.org/debian/mc
+Vcs-Git: https://salsa.debian.org/debian/mc.git
 
 Package: mc
 Architecture: any

## mc 4.8.22

=== debian/changelog ===
mc (3:4.8.22-1~mx15+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to debhelper compat 10 to ease backports.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 28 Jun 2019 13:07:46 -0700

mc (3:4.8.22-1) unstable; urgency=medium

  * New upstream release.
  * Suggests += "epub-utils".
  * Standards-Version: 4.3.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 19 Jan 2019 00:10:34 +1100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: mc
 Section: utils
 Priority: optional
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Yury V. Zaytsev <yury@shurup.com>
           ,Andreas Tille <tille@debian.org>
           ,Denis Briand <debian@denis-briand.fr>
-Build-Depends: debhelper (>= 11~), autopoint, intltool, bison
+Build-Depends: debhelper (>= 10), autopoint, intltool, bison
  ,check
  ,e2fslibs-dev
  ,gettext
@@ -15,10 +16,10 @@
  ,libslang2-dev
  ,libssh2-1-dev
  ,libx11-dev
-# mc determine zip mode from zip alternatives available at build-time(!)
+# mc determines zip mode from zip alternatives available at build-time(!)
 # hence 'unzip' needed to set proper zip mode, see #661467
  ,unzip
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://www.midnight-commander.org
 Vcs-Browser: https://salsa.debian.org/debian/mc
 Vcs-Git: https://salsa.debian.org/debian/mc.git
@@ -32,6 +33,7 @@
          ,catdvi | texlive-binaries
          ,dbview
          ,djvulibre-bin
+         ,epub-utils
          ,file
          ,genisoimage
          ,gv

## mc 4.8.24

=== debian/changelog ===
mc (3:4.8.24-2ubuntu1) focal; urgency=medium

  * debian/patches/b75ee9169e7cbc175558d21139f99d628c00b32f.patch:
    - upstream build fix for new glib2.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2020 11:25:11 +0100

mc (3:4.8.24-2) unstable; urgency=medium

  * New upstream patch to fix browsing of .DEB packages (Closes: #949700).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 26 Jan 2020 08:23:52 +1100

mc (3:4.8.24-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 22 Jan 2020 11:43:23 +1100

mc (3:4.8.23-1) unstable; urgency=medium

  * New upstream release.
    + fixed "Failed gpm connect attempt ... for vc /dev/tty0"
      (Closes: #743566).
  * Standards-Version: 4.4.0.
  * DH & compat to version 12.
  * Removed source compression options.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 23 Aug 2019 12:10:00 +1000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: mc
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Yury V. Zaytsev <yury@shurup.com>
           ,Andreas Tille <tille@debian.org>
           ,Denis Briand <debian@denis-briand.fr>
-Build-Depends: debhelper (>= 10), autopoint, intltool, bison
+Build-Depends: debhelper-compat (= 12), autopoint, intltool, bison
  ,check
  ,e2fslibs-dev
  ,gettext
@@ -16,10 +15,10 @@
  ,libslang2-dev
  ,libssh2-1-dev
  ,libx11-dev
-# mc determines zip mode from zip alternatives available at build-time(!)
+# mc determine zip mode from zip alternatives available at build-time(!)
 # hence 'unzip' needed to set proper zip mode, see #661467
  ,unzip
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://www.midnight-commander.org
 Vcs-Browser: https://salsa.debian.org/debian/mc
 Vcs-Git: https://salsa.debian.org/debian/mc.git

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --with autoreconf
 
 # use --as-needed only if supported by dh-autoreconf (to simplify backporting)
 DH_AS_NEEDED=$(shell dpkg --compare-versions $$(dpkg --status dh-autoreconf | grep Version | cut -d' ' -f2) ge 6 && echo --as-needed)
@@ -62,10 +62,3 @@
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='mc-dbg (<< 3:4.8.17~)'
-
-.PHONY: get-orig-source
-## http://wiki.debian.org/onlyjob/get-orig-source
-PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
-VER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
-get-orig-source:
-	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)

## mc 4.8.25

=== debian/changelog ===
mc (3:4.8.25-1) unstable; urgency=low

  * New upstream release.
  * Recommends += "sensible-utils".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 02 Oct 2020 18:04:08 +1000

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
 # hence 'unzip' needed to set proper zip mode, see #661467
  ,unzip
 Standards-Version: 4.5.0
+Rules-Requires-Root: binary-targets
 Homepage: https://www.midnight-commander.org
 Vcs-Browser: https://salsa.debian.org/debian/mc
 Vcs-Git: https://salsa.debian.org/debian/mc.git
@@ -26,7 +27,7 @@
 Package: mc
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, mc-data (= ${source:Version}),
-Recommends: mime-support, perl, unzip
+Recommends: mime-support, perl, unzip, sensible-utils
 Suggests: arj
          ,bzip2
          ,catdvi | texlive-binaries

## mc 4.8.26

=== debian/changelog ===
mc (3:4.8.26-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix PKZIP archive handling, patch backported from upstream

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 01 Jun 2021 15:26:23 +0200

mc (3:4.8.26-1) unstable; urgency=medium

  * New upstream release.
  * Suggests += "unar, wimtools".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 01 Feb 2021 12:44:43 +1100

=== debian/control ===
--- 
+++ 
@@ -45,6 +45,8 @@
          ,python
          ,python-boto
          ,python-tz
+         ,unar
+         ,wimtools
          ,xpdf | pdf-viewer
          ,zip
 Provides: mcedit

## mc 4.8.27

=== debian/changelog ===
mc (3:4.8.27-1) unstable; urgency=medium

  * New upstream release.
    + CVE-2021-36370: sftpfs/vfs server fingerprint isn't verified.
      (Closes: #993404).
    + cannot view rar archives with unrar version 6 (Closes: #985972).
  * Standards-Version: 4.6.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 03 Sep 2021 03:35:15 +1000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # mc determine zip mode from zip alternatives available at build-time(!)
 # hence 'unzip' needed to set proper zip mode, see #661467
  ,unzip
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: binary-targets
 Homepage: https://www.midnight-commander.org
 Vcs-Browser: https://salsa.debian.org/debian/mc

## mc 4.8.28

=== debian/changelog ===
mc (3:4.8.28-1) unstable; urgency=medium

  * New upstream release.
  * Replaced transitional "mime-support" with "mailcap" (Closes: #991780).
    Thanks, Thomas Uhle.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 03 Apr 2022 08:10:15 +1000

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,11 @@
 Package: mc
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, mc-data (= ${source:Version}),
-Recommends: mime-support, perl, unzip, sensible-utils
+Recommends: ${misc:Recommends}
+    ,mailcap
+    ,perl
+    ,sensible-utils
+    ,unzip
 Suggests: arj
          ,bzip2
          ,catdvi | texlive-binaries

## mc 4.8.29

=== debian/changelog ===
mc (3:4.8.29-2) unstable; urgency=medium

  * Remove obsolete "/etc/mc/mc.ext" conffile (Closes: #1030731).
    Thanks, Sven Joachim.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 14 Feb 2023 23:56:55 +1100

mc (3:4.8.29-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.2.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 06 Feb 2023 17:14:50 +1100

mc (3:4.8.28-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Ensure consistent timestamp on mcedit manpage.
    (Closes: #828683)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Tue, 10 Jan 2023 09:50:36 -0800

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # mc determine zip mode from zip alternatives available at build-time(!)
 # hence 'unzip' needed to set proper zip mode, see #661467
  ,unzip
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: binary-targets
 Homepage: https://www.midnight-commander.org
 Vcs-Browser: https://salsa.debian.org/debian/mc

## mc 4.8.30

=== debian/changelog ===
mc (3:4.8.30-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends: e2fslibs-dev => libext2fs-dev.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 25 Nov 2023 13:37:05 +1100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
           ,Denis Briand <debian@denis-briand.fr>
 Build-Depends: debhelper-compat (= 12), autopoint, intltool, bison
  ,check
- ,e2fslibs-dev
+ ,libext2fs-dev
  ,gettext
  ,libaspell-dev
  ,libglib2.0-dev

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,9 @@
 # AWK="awk" is inheritance of 4.7.* series, see http://bugs.debian.org/499723
 # might be still necessary for extfs scripts
 override_dh_auto_configure:
+	# Ensure reproducible timestamp on mcedit manpage, which is
+	# patched from debian/patches
+	touch -d@$(SOURCE_DATE_EPOCH) doc/man/mcedit.1.in
 	dh_auto_configure -- AWK="awk" X11_WWW="x-www-browser" \
 		--libexecdir='/usr/lib' \
 		--with-x \

## mc 4.8.31

=== debian/changelog ===
mc (3:4.8.31-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 21 May 2024 13:36:34 +1000

mc (3:4.8.31-1) unstable; urgency=medium

  * New upstream release.
    + Improve glib compatibility (Closes: #1051489).
      Thanks, Jeremy Bícha.
  * Standards-Version: 4.7.0
  * Make thin skins on build time (Closes: #1063373)
    Thanks, Shmerl.
  * Added various packages to Suggests, providing binaries recognised in
    various MC scripts. Thanks, John Mullee.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 02 May 2024 20:54:55 +1000

=== debian/rules ===
--- 
+++ 
@@ -50,6 +50,13 @@
 	## allow test(s) failure
 	-dh_auto_test
 
+execute_before_dh_auto_install:
+## make thin_skins:
+	mkdir -v -p debian/tmp/skins
+	cp misc/skins/modar* debian/tmp/skins/
+	debian/skins/mc_skin2thin.pl debian/tmp/skins
+	$(RM) -rf debian/tmp/skins
+
 override_dh_auto_install:
 	dh_auto_install --max-parallel=1

## mc 4.8.33

=== debian/changelog ===
mc (3:4.8.33-1) unstable; urgency=medium

  * New upstream release.
  * rules: removed "--as-needed".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 29 Jan 2025 17:43:17 +1100

=== debian/watch ===
version=3
http://ftp.midnight-commander.org/mc-([\d\.]+)\.tar\.xz

## mc code

=== Makefile ===
#
CCFLAGS =	-fast
LNKFLAGS =	-O3
GLXFLAGS =      -L/usr/X11R6/lib/ -lXext -lX11 -lGL -lGLU

target:		simulate

SIMULATE_OBJS =	simulate.o ordering_tensor.o vector_utilities.o \
                nr.o nrutil.o scan.o utilities.o \
		overlap.o init_simu.o io_simu.o io_ff.o\
                layers.o allocate.o cpu.o rms_displ.o\
                parse_params.o parse_tokens.o\
                io_utilities.o statistics.o center_of_mass.o\
                inertia_tensors.o nematic_order.o\
                neighbors.o mc_moves.o optimize.o color.o \
                init_poly_glx.o visu_poly_glx.o 

simulate:	$(SIMULATE_OBJS)
		cc $(CCFLAGS) -p -o simulate $(SIMULATE_OBJS) $(GLXFLAGS) -lm

$(SIMULATE_OBJS): build.h ff.h

## mc ssh-0.0.3

=== requirements.txt ===
paramiko
scp
liboidcagent
requests
Click
click-option-group

## mc ssh-0.1.0

=== requirements.txt ===
paramiko
scp
liboidcagent
requests
Click
click-option-group
click-logging

## mc ssh-0.1.1

=== requirements.txt ===
pexpect
liboidcagent
requests
Click
click-option-group
click-logging

## mc ssh-0.2.0

=== requirements.txt ===
pexpect
liboidcagent
requests
Click
click-option-group
click-logging
rfc3986

## mc ssh-0.2.8

=== requirements.txt ===
--- 
+++ 
@@ -5,3 +5,4 @@
 click-option-group
 click-logging
 rfc3986
+flaat

## mc ssh-0.2.9

=== requirements.txt ===
pexpect
liboidcagent
requests
requests-cache
Click
click-option-group
click-logging
rfc3986
flaat

## mc transformers-0.1.2

=== requirements.txt ===
transformers==3.0.2
torch==1.4.0
torchvision==0.5.0
tensorflow

## mc transformers-0.1.6

=== requirements.txt ===
transformers==3.0.2
torch==1.4.0
torchvision==0.5.0
tensorflow==2.3.0

## mc transformers-0.1.7

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = mc_transformers
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## mc transformers-0.1.11

=== requirements.txt ===
transformers==3.3.1
torch==1.9.0
torchvision==0.10.0
tensorflow==2.5.0

## mc transformers-0.1.12

=== requirements.txt ===
transformers
torch==1.9.0
torchvision==0.10.0
tensorflow==2.5.0
